W E B T R E E

 

Yes, SaasLand is compatible with WordPress 5.0 and higher versions.